<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
        <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
        <title>Document</title>
    </head>
    <body>
        <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
            <a class="navbar-brand" href="#">ABC Ltd.</a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarTogglerDemo02" aria-controls="navbarTogglerDemo02" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
        
            <div class="collapse navbar-collapse" id="navbarTogglerDemo02">
            <ul class="navbar-nav mr-auto mt-2 mt-lg-0">
                <li class="nav-item active">
                <a class="nav-link" href="#">Home <span class="sr-only">(current)</span></a>
                </li>
                <li class="nav-item">
                <button type="button" class="btn btn-link" (click)=displayregisterform()>Add Employee</button>
                </li>
                <li class="nav-item">
                    <button type="button" class="btn btn-link" (click)=displayEmployees()>View All Employees</button>
                </li>
            </ul>
            <div style="margin-right: 320px;" class="fadeInDown" *ngIf="showdetails" class="form-inline my-2 my-lg-0">
                <input class="form-control mr-sm-2" type="search" placeholder="Search Name" [(ngModel)]="searchValue">
            </div>
            </div>
        </nav>


        <div *ngIf="showform"  class="wrapper fadeInDown">
            <div id="formContent">           
                <form><br>
                  <h3 style="color: rgb(101, 133, 101);"> Add an Employee</h3>
                  <br>
                  <input type="text" id="username" class="fadeIn second" name="name" placeholder="Full Name" [(ngModel)]="employeeObj.name">
                  <input type="text" id="username" class="fadeIn third" name="department" placeholder="Department" [(ngModel)]="employeeObj.department">
                  <input type="text" id="username" class="fadeIn third" name="designation" placeholder="Designation" [(ngModel)]="employeeObj.designation">
                  <input type="button" class="fadeIn fourth" value="Register" (click)=register()>
                </form>            
              </div>
        </div>

        <div *ngIf="showupdateform"  class="wrapper fadeInDown">
            <div id="formContent">           
            
                <form><br>
                  <h3 style="color: rgb(101, 133, 101);">Update details</h3>
                  <br>
                  <input type="text" id="username" class="fadeIn second" name="name" placeholder="Full Name" [(ngModel)]="employeeObj.name">
                  <input type="text" id="username" class="fadeIn third" name="department" placeholder="Department" [(ngModel)]="employeeObj.department">
                  <input type="text" id="username" class="fadeIn third" name="designation" placeholder="Designation" [(ngModel)]="employeeObj.designation">
                  <input type="button" class="fadeIn fourth" value="Submit" (click)=submitupdate()>
                </form>
            
              </div>
        </div>

        <div *ngIf="showdetails" class="wrapper fadeInDown">
            <div id="formContent2"> 
                <div *ngIf="employees.length==0">
                    <h3>No records found!!</h3>
                </div>
                <table class="table table-hover" >
                    <thead class="thead-dark" *ngIf="employees.length!=0">
                      <tr col>
                        <th scope="col">ID</th>
                        <th scope="col">Employee Name</th>
                        <th scope="col">Department</th>
                        <th scope="col">Designation</th>
                        <th scope="col"></th>
                        <th scope="col"></th>
                      </tr>
                    </thead>
                    <tbody>
                      <tr *ngFor="let employeeObj of employees | searchfilter:searchValue">
                        <td>{{employeeObj.id}}</td>
                        <td>{{employeeObj.name}}</td>
                        <td>{{employeeObj.department}}</td>
                        <td>{{employeeObj.designation}}</td>
                        <td>
                            <button type="button" class="btn btn-info" (click)=update(employeeObj.id)>Update</button>
                        </td>
                        <td>
                            <button type="button" class="btn btn-danger" (click)=delete(employeeObj.id)>Delete</button>
                        </td>
                      </tr>
                    </tbody>
                  </table>
            </div>
        </div>

    </body>
</html>
